package internal

import "net"

func ParseIP(s string) (net.IP, error) {
	var err error = nil
	ip := net.ParseIP(s)
	if ip == nil {
		err = &net.ParseError{
			Type: "IP address",
			Text: s,
		}
	}
	return ip, err
}
